# DataBlockEncryptor.h File Reference

[Internal] Encrypts and decrypts data blocks. Used as part of secure connections. More...

`#include "Rijndael.h"`
`#include "RakMemoryOverride.h"`

## Classes

class | DataBlockEncryptor
| Encrypts and decrypts data blocks. More...

## Detailed Description

[Internal] Encrypts and decrypts data blocks. Used as part of secure connections.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.